import { NoomiTransaction } from "./noomitransaction";
declare class TransactionManager {
    static transactionMap: Map<number, NoomiTransaction>;
    static transactionMdl: string;
    static expressions: Array<string>;
    static pointcutId: string;
    static addToAopExpressions: Array<string>;
    static isolationLevel: number;
    static transactionOption: any;
    static init(cfg: any): void;
    /**
     * 添加为事务
     * @param instance      实例 或 类
     * @param methodName    方法名
     */
    static addTransaction(instance: any, methodName: any): void;
    /**
     * 获取transaction
     * @param newOne    如果不存在，是否新建
     * @return          transacton
     */
    static get(newOne?: boolean): Promise<NoomiTransaction>;
    /**
     * 删除事务
     * @param tr    事务
     */
    static del(tr: NoomiTransaction): void;
    /**
     * 获取connection
     */
    static getConnection(id?: number): any;
    /**
     * 释放连接
     * @param tr
     */
    static releaseConnection(tr: NoomiTransaction): Promise<void>;
    /**
     * 解析实例配置文件
     * @param path      文件路径
     * @param mdlPath   模型路径
     */
    static parseFile(path: string): void;
}
export { TransactionManager };
